Package org.codehaus.groovy.tools.groovydoc

# Class GroovyDocTemplateEngine

java.lang.Object
org.codehaus.groovy.tools.groovydoc.GroovyDocTemplateEngine

public class GroovyDocTemplateEngine extends Object
Process Groovydoc templates.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)`
  Creates a template engine with a resource manager, a single class-level template, and default properties.
  `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates, Properties properties)`
  Creates a template engine with separate sets of documentation, package, and class templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyBinaryResource(String template, String destFileName)`
  Copies a binary resource (image or Prism.js bundle) from the classpath to the given destination file path.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)
    Creates a template engine with a resource manager, a single class-level template, and default properties.

  - ### GroovyDocTemplateEngine

    public GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates, Properties properties)
    Creates a template engine with separate sets of documentation, package, and class templates.

- ## Method Details

  - ### copyBinaryResource

    public void copyBinaryResource(String template, String destFileName)
    Copies a binary resource (image or Prism.js bundle) from the classpath to the given destination file path.